Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.border
Class LineBorder

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder
            |
            +--javax.swing.border.LineBorder

All Implemented Interfaces:
  Border, Serializable

Direct Known Subclasses:
  BorderUIResource.LineBorderUIResource

public class LineBorder
extends AbstractBorder

A class which implements a line border of arbitrary thickness and of a single color.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Field Summary
`protected Color` | `lineColor`
`protected boolean` | `roundedCorners`
`protected int` | `thickness`

Constructor Summary
`LineBorder(Color color)` Creates a line border with the specified color and a thickness = 1.
`LineBorder(Color color, int thickness)` Creates a line border with the specified color and thickness.
`LineBorder(Color color, int thickness, boolean roundedCorners)` Creates a line border with the specified color, thickness, and corner shape.

Method Summary
`static Border` | `createBlackLineBorder()` Convenience method for getting the Color.black LineBorder of thickness 1.
`static Border` | `createGrayLineBorder()` Convenience method for getting the Color.gray LineBorder of thickness 1.
`Insets` | `getBorderInsets(Component c)` Returns the insets of the border.
`Insets` | `getBorderInsets(Component c, Insets insets)` Reinitialize the insets parameter with this Border's current Insets.
`Color` | `getLineColor()` Returns the color of the border.
`boolean` | `getRoundedCorners()` Returns whether this border will be drawn with rounded corners.
`int` | `getThickness()` Returns the thickness of the border.
`boolean` | `isBorderOpaque()` Returns whether or not the border is opaque.
`void` | `paintBorder(Component c, Graphics g, int x, int y, int width, int height)` Paints the border for the specified component with the specified position and size.

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### thickness

    protected int thickness

### lineColor

    protected Color lineColor

### roundedCorners

    protected boolean roundedCorners

Constructor Detail

### LineBorder

    public LineBorder(Color color)

  Creates a line border with the specified color and a thickness = 1.
  Parameters:
    `color` - the color for the border

### LineBorder

    public LineBorder(Color color,
                      int thickness)

  Creates a line border with the specified color and thickness.
  Parameters:
    `color` - the color of the border
    `thickness` - the thickness of the border

### LineBorder

    public LineBorder(Color color,
                      int thickness,
                      boolean roundedCorners)

  Creates a line border with the specified color, thickness, and corner shape.
  Parameters:
    `color` - the color of the border
    `thickness` - the thickness of the border
    `roundedCorners` - whether or not border corners should be round
  Since:
    1.3

Method Detail

### createBlackLineBorder

    public static Border createBlackLineBorder()

  Convenience method for getting the Color.black LineBorder of thickness 1.

### createGrayLineBorder

    public static Border createGrayLineBorder()

  Convenience method for getting the Color.gray LineBorder of thickness 1.

### paintBorder

    public void paintBorder(Component c,
                            Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Paints the border for the specified component with the specified position and size.
  Overrides:
    `paintBorder` in class `AbstractBorder`
  Parameters:
    `c` - the component for which this border is being painted
    `g` - the paint graphics
    `x` - the x position of the painted border
    `y` - the y position of the painted border
    `width` - the width of the painted border
    `height` - the height of the painted border

### getBorderInsets

    public Insets getBorderInsets(Component c)

  Returns the insets of the border.
  Overrides:
    `getBorderInsets` in class `AbstractBorder`
  Parameters:
    `c` - the component for which this border insets value applies

### getBorderInsets

    public Insets getBorderInsets(Component c,
                                  Insets insets)

  Reinitialize the insets parameter with this Border's current Insets.
  Overrides:
    `getBorderInsets` in class `AbstractBorder`
  Parameters:
    `c` - the component for which this border insets value applies
    `insets` - the object to be reinitialized

### getLineColor

    public Color getLineColor()

  Returns the color of the border.

### getThickness

    public int getThickness()

  Returns the thickness of the border.

### getRoundedCorners

    public boolean getRoundedCorners()

  Returns whether this border will be drawn with rounded corners.

### isBorderOpaque

    public boolean isBorderOpaque()

  Returns whether or not the border is opaque.
  Overrides:
    `isBorderOpaque` in class `AbstractBorder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.